Skip to content

Create Split Job

SplitCreateResponse Beta.Split.Create(SplitCreateParamsparameters, CancellationTokencancellationToken = default)
POST/api/v1/beta/split/jobs

Create a document split job.

ParametersExpand Collapse
SplitCreateParams parameters
required SplitDocumentInput documentInput

Body param: Document to be split.

string? organizationID

Query param

formatuuid
string? projectID

Query param

formatuuid
Configuration? configuration

Body param: Split configuration with categories and splitting strategy.

required IReadOnlyList<SplitCategory> Categories

Categories to split documents into.

required string Name

Name of the category.

maxLength200
minLength1
string? Description

Optional description of what content belongs in this category.

maxLength2000
minLength1
SplittingStrategy SplittingStrategy

Strategy for splitting documents.

AllowUncategorized AllowUncategorized

Controls handling of pages that don’t match any category. ‘include’: pages can be grouped as ‘uncategorized’ and included in results. ‘forbid’: all pages must be assigned to a defined category. ‘omit’: pages can be classified as ‘uncategorized’ but are excluded from results.

One of the following:
"forbid"Forbid
"include"Include
"omit"Omit
string? configurationID

Body param: Saved split configuration ID.

ReturnsExpand Collapse
class SplitCreateResponse:

Beta response — uses nested document_input object.

required string ID

Unique identifier for the split job.

required IReadOnlyList<SplitCategory> Categories

Categories used for splitting.

required string Name

Name of the category.

maxLength200
minLength1
string? Description

Optional description of what content belongs in this category.

maxLength2000
minLength1
required SplitDocumentInput DocumentInput

Document that was split.

required string Type

Type of document input. Valid values are: file_id

required string Value

Document identifier.

required string ProjectID

Project ID this job belongs to.

required string Status

Current status of the job. Valid values are: pending, processing, completed, failed, cancelled.

required string UserID

User ID who created this job.

string? ConfigurationID

Split configuration ID used for this job.

DateTimeOffset? CreatedAt

Creation datetime

formatdate-time
string? ErrorMessage

Error message if the job failed.

Result of a completed split job.

required IReadOnlyList<SplitSegmentResponse> Segments

List of document segments.

required string Category

Category name this split belongs to.

required string ConfidenceCategory

Categorical confidence level. Valid values are: high, medium, low.

required IReadOnlyList<Long> Pages

1-indexed page numbers in this split.

DateTimeOffset? UpdatedAt

Update datetime

formatdate-time

Create Split Job

SplitCreateParams parameters = new()
{
    DocumentInput = new()
    {
        Type = "type",
        Value = "value",
    },
};

var split = await client.Beta.Split.Create(parameters);

Console.WriteLine(split);
{
  "id": "id",
  "categories": [
    {
      "name": "x",
      "description": "x"
    }
  ],
  "document_input": {
    "type": "type",
    "value": "value"
  },
  "project_id": "project_id",
  "status": "status",
  "user_id": "user_id",
  "configuration_id": "configuration_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "error_message": "error_message",
  "result": {
    "segments": [
      {
        "category": "category",
        "confidence_category": "confidence_category",
        "pages": [
          0
        ]
      }
    ]
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "categories": [
    {
      "name": "x",
      "description": "x"
    }
  ],
  "document_input": {
    "type": "type",
    "value": "value"
  },
  "project_id": "project_id",
  "status": "status",
  "user_id": "user_id",
  "configuration_id": "configuration_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "error_message": "error_message",
  "result": {
    "segments": [
      {
        "category": "category",
        "confidence_category": "confidence_category",
        "pages": [
          0
        ]
      }
    ]
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/